import { EventEmitter, OnDestroy, OnInit } from "@angular/core";
import { TranslateService } from "@ngx-translate/core";
import { HttpClient } from "@angular/common/http";
import { Router } from "@angular/router";
import { Navigation } from "./navigation.model";
import { EnvironmentService } from "./environment.service";
import * as i0 from "@angular/core";
export declare class ArtportalenNavComponent implements OnInit, OnDestroy {
    private httpClient;
    private router;
    trans: TranslateService;
    private envService;
    private subscription;
    loginClicked: EventEmitter<any>;
    logoutClicked: EventEmitter<any>;
    dropMenuChange: EventEmitter<boolean>;
    showPattern: boolean;
    fullName: string;
    translationFinished: boolean;
    lastPosition: number;
    set userName(fullName: string);
    navigation: Navigation;
    url: string;
    showNavMenu: boolean;
    showUserMenu: boolean;
    showReport: boolean;
    showObservations: boolean;
    showSubs: boolean;
    constructor(httpClient: HttpClient, router: Router, trans: TranslateService, envService: EnvironmentService);
    ngOnInit(): void;
    showMenuDropdown(show: boolean): void;
    setLanguage(lang: any): void;
    onUserClick(): void;
    login(): void;
    logout(): void;
    private initTranslations;
    private loadTranslation;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ArtportalenNavComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ArtportalenNavComponent, "adb-artportalen-nav", never, { "showPattern": { "alias": "showPattern"; "required": false; }; "userName": { "alias": "userName"; "required": false; }; }, { "loginClicked": "loginClicked"; "logoutClicked": "logoutClicked"; "dropMenuChange": "dropMenuChange"; }, never, ["*"], false, never>;
}
