import { HttpClient } from '@angular/common/http';
import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { TranslateService } from '@ngx-translate/core';
import { EnvironmentService } from './environment.service';
import { Navigation } from './navigation.model';
import * as i0 from "@angular/core";
export declare class ADBNavComponent implements OnInit, OnDestroy {
    private httpClient;
    private router;
    private envService;
    trans: TranslateService;
    private subscription;
    loginClicked: EventEmitter<any>;
    logoutClicked: EventEmitter<any>;
    dropMenuChange: EventEmitter<boolean>;
    showPattern: boolean;
    fullName: string;
    translationFinished: boolean;
    lastPosition: number;
    set userName(fullName: string);
    artfakta: boolean;
    initials: string;
    showNavMenu: boolean;
    showUserMenu: boolean;
    showArtfakta: boolean;
    showNOS: boolean;
    navigation: Navigation;
    url: string;
    constructor(httpClient: HttpClient, router: Router, envService: EnvironmentService, trans: TranslateService);
    ngOnInit(): void;
    private initTranslations;
    private loadTranslation;
    showMenuDropdown(show: boolean): void;
    setLanguage(lang: any): void;
    login(): void;
    logout(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ADBNavComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ADBNavComponent, "adb-nav", never, { "showPattern": { "alias": "showPattern"; "required": false; }; "userName": { "alias": "userName"; "required": false; }; "artfakta": { "alias": "artfakta"; "required": false; }; }, { "loginClicked": "loginClicked"; "logoutClicked": "logoutClicked"; "dropMenuChange": "dropMenuChange"; }, never, ["*"], false, never>;
}
