import { ApplicationRef, ComponentFactoryResolver, Injector, Renderer2, RendererFactory2 } from "@angular/core";
import { Observable } from "rxjs";
import * as i0 from "@angular/core";
export declare class AdbToastService {
    private componentFactoryResolver;
    private rendererFactory;
    private appRef;
    private injector;
    private toasts;
    private toastsSubject;
    $toasts: Observable<ToastMessage[]>;
    renderer: Renderer2;
    domElement: HTMLElement;
    container: any;
    constructor(componentFactoryResolver: ComponentFactoryResolver, rendererFactory: RendererFactory2, appRef: ApplicationRef, injector: Injector);
    add(toastMessage: ToastMessage, time?: number): void;
    remove(toast: ToastMessage): void;
    private addContainer;
    static ɵfac: i0.ɵɵFactoryDeclaration<AdbToastService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AdbToastService>;
}
export interface ToastMessage {
    header?: string;
    headerValue?: any;
    message: string;
    messageValue?: any;
    type?: ToastType;
    index?: number;
    delay?: any;
}
export declare enum ToastType {
    Primary = 1,
    Success = 2,
    Warn = 3,
    Danger = 4
}
