import { ElementRef, EventEmitter, OnDestroy, OnInit } from "@angular/core";
import { TranslateService } from "@ngx-translate/core";
import * as i0 from "@angular/core";
export declare class AdbDatePickerComponent implements OnInit, OnDestroy {
    elementRef: ElementRef;
    private translate;
    private subscriptions;
    static MONTHS: number[];
    static WEEK_DAYS: string[];
    static YEAR_INTERVALL: number;
    currentdDate: Date;
    currentMonth: number;
    selectedDate: Date;
    years: {
        value: Date;
        title: string;
        isThisYear: boolean;
    }[];
    months: {
        value: number;
        isThisMonth: boolean;
    }[];
    weekDays: string[];
    weeks: PickerWeek[];
    range: {
        start: any;
        end: any;
    };
    noYearMode: boolean;
    initialDate: Date;
    settings: any;
    toLeft: boolean;
    id: string;
    selectDate: EventEmitter<Date>;
    constructor(elementRef: ElementRef, translate: TranslateService);
    ngOnInit(): void;
    onShowYear(): void;
    onShowMonth(): void;
    onSelectYear(inYear?: Date): void;
    onSelectMonth(inMonth?: number): void;
    onPrev(): void;
    onNext(): void;
    ngOnDestroy(): void;
    private loadMonths;
    private loadYearsInterval;
    onSelectDate(day: PickerDay): void;
    private createCalendar;
    static parseDate(value: Date | string): Date;
    static ɵfac: i0.ɵɵFactoryDeclaration<AdbDatePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AdbDatePickerComponent, "adb-date-picker", never, { "initialDate": { "alias": "initialDate"; "required": false; }; "settings": { "alias": "settings"; "required": false; }; "toLeft": { "alias": "toLeft"; "required": false; }; "id": { "alias": "id"; "required": false; }; }, { "selectDate": "selectDate"; }, never, never, false, never>;
}
export interface PickerWeek {
    weeks: {
        weekNumber: number;
        days: PickerDay[];
    }[];
}
export interface PickerDay {
    value: Date;
    isToday: boolean;
    isInRange: boolean;
    inMonth: boolean;
    isSelected: boolean;
}
