import { ElementRef, EventEmitter, OnDestroy, OnInit, Renderer2, ViewContainerRef } from "@angular/core";
import { AbstractControl, ControlValueAccessor, ValidationErrors, Validator } from "@angular/forms";
import { TranslateService } from "@ngx-translate/core";
import { AdbDatePickerService } from "./adb-date-picker.service";
import * as i0 from "@angular/core";
export declare class AdbDatePickerDirective implements ControlValueAccessor, Validator, OnInit, OnDestroy {
    private viewContainerRef;
    private renderer;
    private elementRef;
    private adbDatePickerService;
    translate: TranslateService;
    private subscriptions;
    autocomplete: string;
    adbBlur: EventEmitter<Date>;
    format: string;
    toLeft: boolean;
    settings: {
        maxDate?: Date | string;
        minDate?: Date | string;
    };
    id: string;
    currentDate: Date;
    isValid: boolean;
    constructor(viewContainerRef: ViewContainerRef, renderer: Renderer2, elementRef: ElementRef, adbDatePickerService: AdbDatePickerService, translate: TranslateService);
    ngOnInit(): void;
    onClick(): void;
    onKeyup(event: KeyboardEvent): void;
    onTabDown(): void;
    onEscdOWN(): void;
    onHide(): void;
    onCheckOutSideClick(target: any): void;
    private updateValueOnLeave;
    ngOnDestroy(): void;
    validate(control: AbstractControl): ValidationErrors;
    onChange: any;
    onTouched: any;
    onValidationChange: any;
    registerOnValidatorChange?(fn: () => void): void;
    writeValue(value: Date | string): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    static tryParse(dateString: string): Date;
    private getId;
    static ɵfac: i0.ɵɵFactoryDeclaration<AdbDatePickerDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AdbDatePickerDirective, "input[adbDatepicker]", never, { "format": { "alias": "format"; "required": false; }; "toLeft": { "alias": "toLeft"; "required": false; }; "settings": { "alias": "settings"; "required": false; }; }, { "adbBlur": "adbBlur"; }, never, never, false, never>;
}
